Please select Into the mobile phone version | Continue to access the computer ver.
DJI Fly app not compatible
123Next >
6330 94 11-13 19:03
Uploading and Loding Picture ...(0/1)
o(^-^)o
BenderX022
lvl.1
Flight distance : 299373 ft
Australia
Offline

I pre-ordered the DJI mavic mini last week and on Monday when I got it and tried to download the new DJI app for the drone, the DJI fly app, I was so surprised that the app was not compatible with my phone, a Samsung galaxy A3 from 2017 (with Android 8.0).


I did a little research and the app has only been released in a 64 bit format so will only work with devices working with 64 bit OS. That's really absurd as most android phones, and actually all cheap / affordable android phones are still running 32 bit OS.
(see: https://www.apkmirror.com/apk/dji-technology-co-ltd/dji-fly/dji-fly-1-0-1-release/dji-fly-1-0-1-android-apk-download/  - The DJI fly app is only ARM64)


What is the point of releasing a cheap / small drone for the mass consumer market if it can only fly with a NASA spec phone at least twice as much expensive as the drone itself ? This makes absolutely no sense. What is even more frustrating is that the DJI GO app works fine on my phone and I can fly other DJI drones (more complex, expensive drones) with no issues... It is really a pity that DJI forces consumers to use for the mavic mini the stupid DJI fly app which is only compatible with 64 bit android phones. Why not release also a 32 bit version of the same app ? Why not make the DJI go app compatible with the DJI mavic mini ? Both those options would resolve the issue.

Is DJI going to update their DJI fly app to make it also available for 32 bit OS android phones ?


The solution to not change phone might come from a third party app able to run on my phone... such a pity !


11-13 19:03
Use props
KlooGee
Captain
Flight distance : 10174879 ft
  • >>>
United States
Offline

I'm not sure why DJI has done this, and more importantly why they haven't made it more visible.  I can understand your frustration of having already bought something and not having been notified of a potential conflict.  

However, from a purely technical standpoint as someone that has worked in the software and tech industry most of my adult life, I can 100% understand why DJI would make the move to 64bit.  It really does solve a lot of potential issues from a technical perspective and makes it a bit more future proof.  After having supported the Go 4 app on older technology, I'm sure it was beneficial for them to start fresh with a new architecture for them to be able to evolve and move forward in the future.

I'm guessing this is why the DJI Fly app will probably never be supported on the CrystalSky.  
11-13 19:13
Use props
IEdzus
lvl.2
Flight distance : 399154 ft
Ireland
Offline

First of all your mobile is not supported by the Fly App, why wouldnt you check it out before purchasing to avoid such a situation. The spec's on that phone are low-medium so it bound to have issues.  
And im using the recomended phone and still having issues, these things do happen when ever a new product is released. Just give them time it will be resolved.


Compatible with Samsung Galaxy S10+, Samsung Galaxy S10, Samsung Galaxy S9+, Samsung Galaxy S9 , Samsung Galaxy S8+, Samsung Galaxy S8, Samsung Galaxy S7 edge, Samsung Galaxy S7, Samsung Galaxy S6, Samsung Galaxy Note9, Samsung Galaxy Note8, HUAWEI P30 Pro, HUAWEI P30, HUAWEI P20, HUAWEI P10, HUAWEI Mate 20 Pro, HUAWEI Mate 10, HUAWEI nova 5, HUAWEI nova 4, HUAWEI nova 3e, HUAWEI nova 2, Honor 8X, Honor V10, Honor 9, Honor 20 Pro, Honor Magic 2, Mi 8, Mi MIX 2S, Mi MIX 2, Redmi Note 5, OPPO Find X, OPPO R15, vivo NEX, vivo X27, vivo X21, vivo X20A, OnePlus 7, OnePlus 6T, OnePlus 5, Pixel 3 XL, Pixel 2 XL, Pixel 2, Pixel, LG V20, LG G6.

11-13 19:53
Use props
Elias22
lvl.2
Flight distance : 42382 ft
Finland
Offline

IEdzus Posted at 11-13 19:53
First of all your mobile is not supported by the Fly App, why wouldnt you check it out before purchasing to avoid such a situation. The spec's on that phone are low-medium so it bound to have issues.  
And im using the recomended phone and still having issues, these things do happen when ever a new product is released. Just give them time it will be resolved.

I personally purchased mine BEFORE any such list was made public. All that was given was for your phone to have "Android 6.0 or later".
11-14 02:19
Use props
djiuser_f1qEQatHsKbC
lvl.1

Portugal
Offline

Elias22 Posted at 11-14 02:19
I personally purchased mine BEFORE any such list was made public. All that was given was for your phone to have "Android 6.0 or later".

Same for me - pre-ordered and did not see anything from DJI about phone compatibility, except for the expected "Android 6 and later". Only when I went to install DJI Fly, after I got the drone (why would I install before?) did I find that it's incompatible with my Moto G 5 Plus - a recent, decent, midrange phone. It did however install on my Guophone 6800, a low-end phone with 2gb of RAM that's not on the COMPATIBLE list. I haven't flown with it, it may yet fail... if it does I'll be buying a new phone - taking the price of the drone from reasonable to expensive.

DJI should have made this information more prominent
11-14 04:20
Use props
Juliflash
Second Officer
Flight distance : 2923 ft

Spain
Offline

I second what KlooGee says, the change to 64Bit makes sense for the company, but it leaves many users out too, with 32bit phones that are more than Ok for most tasks.

Maybe check iPhone 7, second hand are quite cheap.
That´s what Im gonna have to do too, even though I would rather not spend that extra money in something I exclusively need for the mini...
11-14 04:21
Use props
PercyJackson
lvl.1
Bulgaria
Offline

I bought Mavic Mini and can't install Dji-Fly app on my Galaxy Note Edge :/ My android version is 6.0.1 and this cover "Android 6 and later", but when try to install I get "App not installed". May be the reason is that "32bit not compatible"? This is not serious! DJI, please recompile this app for 32bit OS. It no sense to buy drone for $500 and phone for another $500
11-14 06:15
Use props
djiuser_EFChed2WDkWm
lvl.2

United States
Offline

The Moto G5s plus runs snapdragon 625 processor which is 64 bit, so that explanation falls short of why it's not compatible. Was looking forward to getting a mini, guess I'll be looking at a competitor's offerings.
11-14 10:58
Use props
fans526da239
lvl.1

Belgium
Offline

Same problem here. I can not install the app on my phone. I could on a tablet i had laying around but every time I press "go flying" it crashes.
€500 was enough for a small drone. Investing in a new phone when you don't really need one makes it way to expensive. The DJI go 4 app works perfectly on my phone.

Please DJI, do something about this!!!
11-14 11:13
Use props
djiuser_f1qEQatHsKbC
lvl.1

Portugal
Offline

djiuser_EFChed2WDkWm Posted at 11-14 10:58
The Moto G5s plus runs snapdragon 625 processor which is 64 bit, so that explanation falls short of why it's not compatible. Was looking forward to getting a mini, guess I'll be looking at a competitor's offerings.

Turns out they are running 32-bit Android on 64-bit hardware. There's a way to install a 64-bit ROM, which might then run the DJI Fly app - or it might not. Looking into it - never done such a hack on a phone, seems like there are some pitfalls to watch out for...
11-14 12:15
Use props
djiuser_f1qEQatHsKbC
lvl.1

Portugal
Offline

djiuser_f1qEQatHsKbC Posted at 11-14 04:20
Same for me - pre-ordered and did not see anything from DJI about phone compatibility, except for the expected "Android 6 and later". Only when I went to install DJI Fly, after I got the drone (why would I install before?) did I find that it's incompatible with my Moto G 5 Plus - a recent, decent, midrange phone. It did however install on my Guophone 6800, a low-end phone with 2gb of RAM that's not on the COMPATIBLE list. I haven't flown with it, it may yet fail... if it does I'll be buying a new phone - taking the price of the drone from reasonable to expensive.

DJI should have made this information more prominent

Turns out DJI Fly will INSTALL on the Guophone 6800,  but it won't run for long. It won't connect to the drone, then crashes.  Looks like we are probably restricted to the phones on the compatibility list.

DJI, one of your aims with this drone is to introduce new customers to your products... then the first thing that happens is they can't fly it because they don't have the right phone. Not a very smart way to create happy, return customers. I'm tempted to return the drone - but I've moved countries since I bout it so I guessing that won't be easy. Alternatively, please do something about the phone issue.
11-14 12:25
Use props
DJI Paladin
Super Moderator
Flight distance : 318 ft

Offline

Hi, I am sorry for the trouble that the DJI Fly has caused. upon checking Samsung A3 is not yet listed as a recommended mobile device for the DJI Mavic Mini and with the DJI Fly application. The said mobile device may work however we can't guarantee the stability of the said unit since it is not yet tested by DJI. For additional reference I will be posting a link ( https://www.dji.com/dji-fly#download ) where in we can check the list of the compatible devices for the DJI Mavic Mini and for the DJI Fly application. Thank you.



11-15 12:10
Use props
djiuser_9ZfpckBI7xa7
lvl.3
Flight distance : 252523 ft
Czechia
Online

DJI Paladin Posted at 11-15 12:10
Hi, I am sorry for the trouble that the DJI Fly has caused. upon checking Samsung A3 is not yet listed as a recommended mobile device for the DJI Mavic Mini and with the DJI Fly application. The said mobile device may work however we can't guarantee the stability of the said unit since it is not yet tested by DJI. For additional reference I will be posting a link ( https://www.dji.com/dji-fly#download ) where in we can check the list of the compatible devices for the DJI Mavic Mini and for the DJI Fly application. Thank you.

[view_image]

Just add mavic mini to the Dji GO app and we can move along.
11-16 02:11
Use props
DJI Paladin
Super Moderator
Flight distance : 318 ft

Offline

djiuser_9ZfpckBI7xa7 Posted at 11-16 02:11
Just add mavic mini to the Dji GO app and we can move along.

Hi. As of the moment the DJI Fly application is the recommended software for the DJI Mavic Mini. In addition, I will forward this information to the designated DJI department for further attention. Thank you.
11-18 08:28
Use props
djiuser_H6T8L12PBJjJ
lvl.1
United Kingdom
Offline

I also have a Samsung Galaxy A3.  I just received my Mavic Mini (ordered directly from DJI) and have similarly found that I'm unable to use it.  This is massively disappointing.  Surely DJI will release a 32-bit version of the software?  Please keep us updated.
11-18 08:45
Use props
Lolik12345
lvl.4
Flight distance : 256493 ft
  • >>>
Israel
Offline

I'm facing same issue with mavic mini that purchased today . Can't download at all the fly app.
And if I managed to download it's can't be install.
Never fougt that the mavic mini forcing user to by more expensive phone or tablet.
I have from dji all  mavic pro mavic air and mavic zomm and never had a software compatibility problem with my Samsung  galaxy tab s2 or my galazy note 4.

11-21 11:42
Use props
Knapweed
lvl.4
Canada
Offline

Salutations and commiserations for the troubles you are having with running DJI Fly. I had to buy a new phone but it's far from being a flagship anything. It's a cheap as chips Huawei Honor 8x for the princely sum of $248 CA, which converts to about $3:50 US.

I've gotta say, I'm amazed at the quality and performance for such a cheap phone. 4GB RAM and 64GB of storage, expandable to 464GB with a MicroSD card. It's working brilliantly with my Mini.
11-21 11:52
Use props
InspektorGadjet
Second Officer
Flight distance : 102835 ft
Spain
Offline

iPhone 5S working here, tested it inside the house and great, l did today a samll flight outside and perfect but felt scared of having something go wrong, I never left my garden and tested all the features of the APP with no issues. Feeling a bit scared for being a non supported phone, I took my girlfriends which is an iPhone 7 Plus to fly further, yeah better screen but she asked for it too quickly... lol

I don´t want to spend money on a new phone, I wonder if the phone has any effect on the range.
11-21 12:15
Use props
RCurz
lvl.1

Australia
Offline

So frustrated.  When I ordered my Mini the requirements just said requires Android 6 and above.  Another person with a Motorola G5s (Android 8.1 I think).  Not some cheap phone at all.

What am I supposed to do now DJI?  Getting a new phone is not an option.  Tried the latest version via the app store thread (see screenshot).  Does not work.
Again, I have no money to replace my phone (which is under 2 years old and works fine, so what do I do now?

11-22 17:11
Use props
Merlin1951
lvl.2
Flight distance : 315 ft
United States
Offline

DJI Paladin Posted at 11-15 12:10
Hi, I am sorry for the trouble that the DJI Fly has caused. upon checking Samsung A3 is not yet listed as a recommended mobile device for the DJI Mavic Mini and with the DJI Fly application. The said mobile device may work however we can't guarantee the stability of the said unit since it is not yet tested by DJI. For additional reference I will be posting a link ( https://www.dji.com/dji-fly#download ) where in we can check the list of the compatible devices for the DJI Mavic Mini and for the DJI Fly application. Thank you.

[view_image]

The thing that really sucks about this whole DJI Fly app fiasco is I've checked every "compatible" model on the list and my service provider doesn't support any of them except the Samsung S10 models which run from $450 - $700! As for the rest of the models - half of them I've never even heard of. I guess I'll have to cancel my order since I'm not going to pay $500 for a combo package just to find out I can't fly farther than my own back yard.

DJI, you really need to get your act together.
11-22 19:27
Use props
Merlin1951
lvl.2
Flight distance : 315 ft
United States
Offline

I can't even buy a compatible phone. My provider doesn't support almost all the phones on the compatibility list.
11-22 19:31
Use props
Merlin1951
lvl.2
Flight distance : 315 ft
United States
Offline

BTW, I'm using a ZTE Max Pro (Model Z981) and Android 6.0.1 if anyone at DJI is listening.
11-22 19:42
Use props
djiuser_s2H4LN64ALq7
lvl.1

United States
Offline

I ran into this issue today and have spent a few hours posting warnings anywhere I’ve seen this drone mentioned and wrote a review on the site I purchased it warning people.  I also warned anyone I know who was getting it about the issue.  A lot have actually canceled orders or looked towards other drones.

It is absolutely ridiculous that the “affordable” drone requires a high end phone and all DJI has to say is buy a better phone.  If this is the type of customer service they provide I wouldn’t wish a DJI product on anyone I know.
11-22 21:52
Use props
djiuser_s2H4LN64ALq7
lvl.1

United States
Offline

Maybe if we can get this issue out there more people will return or cancel their orders and DJI will actually care enough to release the apk for a third party app or fix the app they have.  I have posted on a few drone based subreddits as well as a review on Best Buy warning people.  It turns out basically only the high end major android models run 64 bit android.  The cheaper phones seem to have 32bit on 64bit hardware
11-22 21:58
Use props
djiuser_n8n3WNMgFgJG
New

Ireland
Offline

I am very frustrated about this. The DJI Fly app has real compatabilty issues. There is not 1 tablet on its compatabily list! This is crazy and avoidable situation. Please please resolve this DJI or you will have a lot of unhappy customers at Christmas time!
11-23 00:16
Use props
Merlin1951
lvl.2
Flight distance : 315 ft
United States
Offline

I cancelled my order last night. No point in buying a product that I can't fully enjoy. Bad deal, DJI, bad deal.
11-23 04:44
Use props
djiuser_s2H4LN64ALq7
lvl.1

United States
Offline

djiuser_n8n3WNMgFgJG Posted at 11-23 00:16
I am very frustrated about this. The DJI Fly app has real compatabilty issues. There is not 1 tablet on its compatabily list! This is crazy and avoidable situation. Please please resolve this DJI or you will have a lot of unhappy customers at Christmas time!
As far as I have read they have no intention of doing anything but possibly releasing the apk so a third party app can be used at some later date.  Their official reply is buy a better phone.  At that point you might as well buy a 4k competitor since it’ll be the same price and have a better drone and better customer service.
11-23 08:19
Use props
Tim Twerp
lvl.2
United States
Offline

Really?  You Buy a $500 toy drone and  still have a cheap android phone?  Yes, third party apps will catch the wave and be available, but invest a little in a new or second phone for your drones!  Do you still use 32 bit for your computers?  if you want your equipment to support the future, expect the software to be current and up-gradable... not down gradable.  Go ahead and hate this message, but buy a $500 dollar toy drone and then complain that they expect you to have current technology in your phone... return it and get your money back.  Buy a tello.   
11-23 09:35
Use props
johnnysnet
lvl.1
Germany
Offline

Hello yours! I'm a Moto G5S user who got one of the last available combos in stock from some german online shop on 12th of Nov. Till today I even didn't open my package because of the app dilemma while thinking about reselling it. But now there's new hope since I knew to need a 64 bit OS at first. I decided to flash a custom ROM, one from the PixelExperience project, and yes... I was able to install and start the app. Seems to run good so far. When I find the time to repare everything for a first test flight, I let you know in case everything really works.
11-23 12:25
Use props
Gu5s
lvl.3
Flight distance : 252523 ft
Czechia
Online

Tim Twerp Posted at 11-23 09:35
Really?  You Buy a $500 toy drone and  still have a cheap android phone?  Yes, third party apps will catch the wave and be available, but invest a little in a new or second phone for your drones!  Do you still use 32 bit for your computers?  if you want your equipment to support the future, expect the software to be current and up-gradable... not down gradable.  Go ahead and hate this message, but buy a $500 dollar toy drone and then complain that they expect you to have current technology in your phone... return it and get your money back.  Buy a tello.
You do realize, that a perception of something being "cheap" is completely relative. Anyway the thing is most of us (that complain about app not being supported), have more powerful devices in a sense of "raw power", than the ones officially supported (I am looking at you old iphones)
The thing is - most people that complain already have quite recent phones with 64 bit CPUs - the manufacturers just did not bother with putting in 64 bit Android OS, because honestly - there was never a Real reason fór them to do so... 99% of apps are either 32bit or 32 + 64bit.... App being strictly 64bit is a big anomally.
11-23 12:47
Use props
Gu5s
lvl.3
Flight distance : 252523 ft
Czechia
Online

Tim Twerp Posted at 11-23 09:35
Really?  You Buy a $500 toy drone and  still have a cheap android phone?  Yes, third party apps will catch the wave and be available, but invest a little in a new or second phone for your drones!  Do you still use 32 bit for your computers?  if you want your equipment to support the future, expect the software to be current and up-gradable... not down gradable.  Go ahead and hate this message, but buy a $500 dollar toy drone and then complain that they expect you to have current technology in your phone... return it and get your money back.  Buy a tello.

Btw you could buy a 5000$ drone and fly it with cheap Android phone just fine. (All the rest of the dji apps are supported) - so your comparison falls kind of short.
11-23 12:50
Use props
lojzik
lvl.2

Czechia
Online

Tim Twerp Posted at 11-23 09:35
Really?  You Buy a $500 toy drone and  still have a cheap android phone?  Yes, third party apps will catch the wave and be available, but invest a little in a new or second phone for your drones!  Do you still use 32 bit for your computers?  if you want your equipment to support the future, expect the software to be current and up-gradable... not down gradable.  Go ahead and hate this message, but buy a $500 dollar toy drone and then complain that they expect you to have current technology in your phone... return it and get your money back.  Buy a tello.

don,'t compare computers with phones, it's another world. btw in 4GB RAM computers era was standard 32bit OS on 64bit CPU. And 32bit apps are still on 64bit Windows. Arguing the future is nice, but the developer should respect today's standards.
11-23 12:52
Use props
JM.REYES
lvl.2
Flight distance : 59528 ft
Spain
Offline

Hello everyone, I am using a Xiaomi Mi A2, a powerful and cheap phone, I have no problem, the problems are due to the bad firmware and the DJI Fly application that is very bad. Another VERY GOOD solution is to give the SDK to Litchy, it would be fixed and many things would be improved.
11-23 13:17
Use props
mjordan79
lvl.1

Italy
Offline

Knapweed Posted at 11-21 11:52
Salutations and commiserations for the troubles you are having with running DJI Fly. I had to buy a new phone but it's far from being a flagship anything. It's a cheap as chips Huawei Honor 8x for the princely sum of $248 CA, which converts to about $3:50 US.

I've gotta say, I'm amazed at the quality and performance for such a cheap phone. 4GB RAM and 64GB of storage, expandable to 464GB with a MicroSD card. It's working brilliantly with my Mini.

Cool. I see the Honor 8x is 6.5 inches for the display. Isn't it too big for the Mini radio controller? Does it fit perfectly?
11-23 14:35
Use props
djiuser_s2H4LN64ALq7
lvl.1

United States
Offline

I wonder if with how underhanded this was done a case could be made for false advertisement.  You still would not know there would be an issue because the only comparability that is listed on the app page is android 6.0.  And by the time you find out even if you return this drone most places won’t refund protection plans and have restocking fees.  I would almost think there would be a case of liability for DJI.
11-23 15:42
Use props
Knapweed
lvl.4
Canada
Offline

mjordan79 Posted at 11-23 14:35
Cool. I see the Honor 8x is 6.5 inches for the display. Isn't it too big for the Mini radio controller? Does it fit perfectly?

I think it's 6.3 inches but yes, it fits fine with both arms parallel.
11-23 16:53
Use props
djiuser_s2H4LN64ALq7
lvl.1

United States
Offline

Everyone here should definitely be leaving ratings where they bought it and on the App Store with this issue so people know.  Maybe if the ratings get bad enough they will do something.
11-23 17:02
Use props
djiuser_gpYPteASnSny
lvl.1
Flight distance : 29281 ft
United States
Offline

I hope they will update dji fly app for 32 bit phones because this situation is so limiting factor for buyers..
11-23 21:08
Use props
RCurz
lvl.1

Australia
Offline

djiuser_s2H4LN64ALq7 Posted at 11-23 17:02
Everyone here should definitely be leaving ratings where they bought it and on the App Store with this issue so people know.  Maybe if the ratings get bad enough they will do something.

I cant rate it because I cant download it!
11-23 23:36
Use props
lojzik
lvl.2

Czechia
Online

djiuser_gpYPteASnSny Posted at 11-23 21:08
I hope they will update dji fly app for 32 bit phones because this situation is so limiting factor for buyers..

DJI should provide better information about it.  DJI should update product specs ASAP, because there is only "iOS v10.0 or later Android v6.0 or later", nothing about 64bit requirement.  DJI should provide official information whether the 32bit version will be (with ETA) or not.
11-24 00:06
Use props
123Next >
Advanced
You need to log in before you can reply Login | Register now

Credit Rules